pydo.monitoring.get_droplet_load5_metrics()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.monitoring.get_droplet_load5_metrics(
    host_id="17209102",
    start="1620683817",
    end="1620705417",
)
Returns JSONRaises HttpResponseError

Description

To retrieve 5 minute load average metrics for a given droplet, send a GET request to /v2/monitoring/metrics/droplet/load_5.

Parameters

host_id string required

The droplet ID.

start string required

UNIX timestamp to start metric window.

end string required

UNIX timestamp to end metric window.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.monitoring.get_droplet_load5_metrics(host_id="17209102", start="1620683817", end="1620705417")

Response Example

Show Response Example
{
  "data": {
    "result": [],
    "resultType": "matrix"
  },
  "status": "success"
}

More Information

See /v2/monitoring/metrics/droplet/load_5 in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.